// Basic layout styles
@import "dependencies/helpers.scss";
@import "./variables.scss";
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');

* {
  box-sizing: border-box;

  &:focus {
    // outline: 1px dotted $color-link-primary;
  }

  font-family: 'Montserrat', sans-serif;
  font-size: 14px;
}

html {
  min-height: 100%;
  width: 100%;
  max-width: 768px;
}

body {
  line-height: 1.25;
  min-height: 100%;
  overflow-x: hidden;
  width: 100%;
  max-width: 768px;
  .master {
    &.ng-animate {
      transition: 0;
    }
  }
  &.loading-project {
    overflow: hidden;
  }
}

.loader-active {
  overflow: hidden;
}

.drag-active {
  overflow-x: hidden;
}

.master {
  height: 100%;
  min-height: 100%;
  position: relative;
}

.centered {
}

.icon-component {
  align-items: center;
  display: flex;
  justify-content: center;
}

.wrapper {
  display: flex;
  height: 100%;
  min-height: $main-height;
  flex: 1;
}

.menu-secondary {
  background: $color-gray100;
  flex: 0 0 auto;
  min-height: $main-height;
  min-width: 0;
  padding: 0;
  .search-in {
    margin-top: 0.5rem;
  }
  .settings-nav {
    background-color: $grey-05;
  }

  li {
    background: $color-gray100;
    padding: 0;
    .active {
      background: $color-white;
      a {
        color: $color-link-primary;
      }
      &:hover {
        background: $color-white;
        a {
          color: $color-link-tertiary;
        }
      }
    }
  }
}

.menu-tertiary {
  background-color: $color-gray400;
  border-right: 1px solid darken($tertiary, 3%);
  flex: 0 0 auto;
  min-height: $main-height;
  ul li {
    a {
      color: $grey-70;
    }
    &:hover,
    &:hover a {
      background: $color-gray300;
      color: $color-link-tertiary;
    }
    &.active, &:has(a.active) {
      background: $color-link-primary;
      a {
        background: $color-gray300;
        color: $color-link-primary;
        &:hover,
        &:hover a {
          background: $color-gray300;
          color: $color-link-tertiary;
        }
      }
    }
  }
}

.main {
  flex: 1;
  min-width: 0;
  padding: 1rem;
}

.header-with-actions {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin-bottom: 1rem;
  header {
    width: 100%;
  }
}

.hidden {
  display: none !important; /* stylelint-disable-line declaration-no-important */
}


@media (max-width: 768px){
  html, body{
    width: 97%;
    margin-left: 1.5%;
  }
}

@media (min-width: 375px){
  .wrapper{
    display: block;
  }
}

@media (min-width: 769px) {
  /* Thiết lập chiều rộng tối đa */
  html,
  body {
    max-width: 768px;
    margin: 0 auto; /* Căn giữa bằng cách đặt margin tự động */
  }
}